package com.mvc.model.aihcxd;

import com.mvc.entity.TAiTargetbox;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.ArrayList;

/**
 * 水表识别输出对象
 * 与com.hcxd.wmai.AI_output对应
 * 为了不影响wmai中的事,此对象作业调用的对象
 */
public class WmOutModel {
    private static Logger wmLogger  = LoggerFactory.getLogger(WmOutModel.class);//输出日志log的类
    //
    private String outImagePath;//存放结果图片的绝对路径
    private double aiValue; //本次服务器AI识别结果
    private int serverRotateAngle;//本次服务器识别到的旋转角度，IMPOSSIBLE_LEAN_ANGLE = 888 代表不可能的值，也就是代表没有检测到
    private int[] serverNumberRegion;//本次服务器识别得到的数字区域坐标，4个值，[xmin,ymin,xmax,ymax]
    private int serverAiValueIsOk;//本次服务器AI识别结果是否可靠；1、2、7、8代表可靠，3、4、5、6、91、92等代表不可靠



    private int[][] debugInfo;//AI调试信息，值域是 0-255
    private String smallJPEGPath;//存放结果 水利所JPG小图 的绝对路径
    private ArrayList<TAiTargetbox> finalList;//最终的数字目标列表

    public String getOutImagePath() {
        return outImagePath;
    }

    public void setOutImagePath(String outImagePath) {
        this.outImagePath = outImagePath;
    }

    public double getAiValue() {
        return aiValue;
    }

    public void setAiValue(double aiValue) {
        this.aiValue = aiValue;
    }

    public int[][] getDebugInfo() {
        return debugInfo;
    }

    public void setDebugInfo(int[][] debugInfo) {
        this.debugInfo = debugInfo;
    }

//    public int[][] getDebugInfo() {
//        return debugInfo;
//    }
//
//    public void setDebugInfo(int i, int j, int param_value) {
//        this.debugInfo[i][j] = param_value;
//    }

    public String getSmallJPEGPath() {
        return smallJPEGPath;
    }

    public void setSmallJPEGPath(String smallJPEGPath) {
        this.smallJPEGPath = smallJPEGPath;
    }

    public ArrayList<TAiTargetbox> getFinalList() {
        return finalList;
    }

    public void setFinalList(ArrayList<TAiTargetbox> finalList) {
        this.finalList = finalList;
    }

    public int getServerRotateAngle() {
        return serverRotateAngle;
    }

    public void setServerRotateAngle(int serverRotateAngle) {
        this.serverRotateAngle = serverRotateAngle;
    }

//    public int[] getServerNumberRegion() {
//        return serverNumberRegion;
//    }
//
//    public void setServerNumberRegion(int i, int value) {
//        this.serverNumberRegion[i] = value;
//    }

    public int[] getServerNumberRegion() {
        return serverNumberRegion;
    }

    public void setServerNumberRegion(int[] serverNumberRegion) {
        this.serverNumberRegion = serverNumberRegion;
    }

    public int getServerAiValueIsOk() {
        return serverAiValueIsOk;
    }

    public void setServerAiValueIsOk(int serverAiValueIsOk) {
        this.serverAiValueIsOk = serverAiValueIsOk;
    }

    public WmOutModel(){}
}
